#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>

#define MAX_ROWS    100
#define MAX_COLS    100

#define MALLOC(n,t)  (t *)malloc(n*sizeof(t))

typedef double  float_t;

int     main()

{
    float_t         **mat;
    unsigned long   rows,cols;
    float_t         **rowp,*colp;
    
    /* Get matrix size and allocate pointer array */
    scanf("%lu %lu",&rows,&cols);
    mat = MALLOC(rows,float_t *);
    if ( mat == NULL )
    {
	fputs("Out of memory.\n",stderr);
	exit(EX_OSERR);
    }
    
    /* Allocate each row and input data */
    for (rowp=mat; rowp<mat+rows; ++rowp)
    {
	*rowp = MALLOC(cols,float_t);
	for (colp = *rowp; colp<*rowp+cols; ++colp)
	    scanf("%lf",colp);
    }
    
    /* Print back to verify */
    for (rowp=mat; rowp<mat+rows; ++rowp)
    {
	for (colp = *rowp; colp<*rowp+cols; ++colp)
	    printf("%f ",*colp);
	putchar('\n');
    }
    
    return 0;
}

