#include <stdio.h>
#include <string.h>
#include <sysexits.h>

enum { FALSE=0, TRUE=1 };

int     main(int argc,char *argv[])

{
    int     debug = FALSE,
	    verbose = FALSE;
    char    **argptr, *cptr;
    
    /*
     * Look for switches (anything beginning with
     * a `-') in the command line argument list, allowing
     * for grouped, single-letter options, such as "-dvc"
     */
    for (argptr = argv+1; *argptr != NULL; ++argptr)
    {
	/* Is this argument an option list? */
	if ( **argptr == '-' )
	{
	    /* Extract options from argument */
	    for (cptr = *argptr+1; *cptr != '\0'; ++cptr)
	    {
		switch(*cptr)
		{
		    case    'd':
			debug = TRUE;
			puts("Debug on.");
			break;
		    case    'v':
			verbose = TRUE;
			puts("Verbose on.");
			break;
		    default:
			fprintf(stderr,"Invalid option: `%c'",
				*cptr);
			return EX_USAGE;
		}
	    }
	}
    }

    /* Later... */
    if ( debug )
    {
    }
    
    return EX_OK;
}

