#include <stdio.h>
#include <sysexits.h>

#define MAX_ROWS    100
#define MAX_COLS    100

int     main()

{
    double  mat[MAX_ROWS][MAX_COLS];
    unsigned long   rows,cols,r,c;
    double  *rowp,*colp, *end_mat, *end_row;
    
    /* Input and check size of matrix */
    scanf("%lu %lu",&rows,&cols);
    if ( (rows > 100) || (cols > 100) )
    {
	fputs("Matrix input is too large.\n",stderr);
	fputs("Limit is 100 x 100.\n",stderr);
	return(1);
    }
    
    /* Input matrix into array */
    end_mat = (double *)mat + rows * MAX_COLS;
    for (rowp=(double *)mat; rowp<end_mat; rowp+=MAX_COLS)
    {
	/* Compute end address of this row */
	end_row = rowp + cols;
	for (colp=rowp; colp<end_row; ++colp)
	    scanf("%lf",colp);
    }
    
    /* Verify matrix read using subscripts */
    for (r=0; r<rows; ++r)
    {
	for (c=0; c<cols; ++c)
	    printf("%f ",mat[r][c]);
	putchar('\n');
    }
    return EX_OK;
}

