#include <iostream.h>
#include <fstream.h>
#include <sysexits.h>

int     main(int argc,char *argv[])

{
    ifstream    infile;
    char        ch;
    
    // Check usage
    switch(argc)
    {
	case    2:
	    // Open file given on command line
	    infile.open(argv[1]);
	    if ( !infile )
	    {
		cerr << "Unable to open file.\n";
		return(EX_IOERR);
	    }
	    break;
	default:
	    cerr << "Usage: " << argv[0] <<
		    " <filename>\n";
	    return(EX_USAGE);
    }
    
    // Read characters from file and print
    // Can't use infile >> ch; it skips whitespace
    while ( infile.get(ch) )
	cout << ch;
    
    // Close infile
    infile.close();
    return 0;
}

