#include <stdio.h>
#include <string.h>
#include <unistd.h>

#define BUFF_SIZE   40

int     main(int argc,char *argv[])

{
    int     fd[2];
    char    buff[BUFF_SIZE+1];
    
    if ( pipe(fd) == 0 )
    {
	if ( fork() != 0 )
	{
	    /* Parent: reader */
	    close(fd[1]);
	    
	    /* Read message from parent */
	    read(fd[0],buff,BUFF_SIZE);
	    printf("Got the message: %s.",buff);
	    close(fd[0]);
	}
	else
	{
	    /* Child: writer */
	    close(fd[0]);
	    
	    /* Get a message to send */
	    fputs("Enter a message to send: ",stdout);
	    fgets(buff,BUFF_SIZE,stdin);
	    
	    /* Send message, including nul */
	    write(fd[1],buff,strlen(buff));
	    close(fd[1]);
	}
    }
    return 0;
}

