
/* FreeBSD Compile: cc -Wall prog -lm */
/* Linux Compile: cc -Wall prog -lm */
/* SunOS Compile: cc prog -lm */
/* SCO_SV Compile: cc -v prog -lm */

#include <stdio.h>  /* Input and output */
#include <sysexits.h>
#include <math.h>   /* Math functions - sqrt() */

int     main()

{
    double  a,b,c,root1,root2,discriminant,sq,two_a;
    int     args;
    
    printf("Enter coefficients A, B, and C: ");
    args = scanf("%lf %lf %lf",&a,&b,&c);
    discriminant = b*b - 4.0*a*c;
    if ( discriminant >= 0.0 )
    {
	/* 2*a and sqrt(discriminant) used twice */
	/* so we pre-compute and use variables */
	two_a = 2.0 * a;
	sq = sqrt(discriminant);
	
	/* Find roots */
	root1 = (-b + sq) / two_a;
	root2 = (-b - sq) / two_a;
	printf("Roots are %f and %f.\n",root1,root2);
    }
    else
	printf("Sorry, no real roots.\n");
    return EX_OK;
}

