#include <stdio.h>
#include <stdarg.h>

void    print_nums(int num,...);

int     main(int argc,char *argv[])

{
    print_nums(1,2,3,4,-1);
    print_nums(1,2,-1);
    return 0;
}


/*
 * Print one or more positive values.  The end of
 * the list is marked by a -1 value.
 */
 
void    print_nums(int num1,...)

{
    va_list argptr;
    int     num;
    
    /* Print first value */
    printf("%d ",num1);
    
    /* Get pointer to argument list */
    va_start(argptr,num1);
    
    /* Print remaining arguments */
    while ( (num = va_arg(argptr,int)) != -1 )
	printf("%d ",num);
    
    /* Shut down */
    va_end(argptr);
}

