#include <stdio.h>

int process(FILE *);

int     main(int argc,char *argv[])

{
    FILE    *infile;
    
    switch(argc)
    {
	/* No arguments - use stdin */
	case    1:
	    infile = stdin;
	    break;
	
	/* 1 argument - use as input file */
	case    2:
	    infile = fopen(argv[1],"r");
	    if ( infile == NULL )
	    {
		fprintf(stderr,
			"Cannot open %s for reading.\n",
			argv[1]);
		return 2;
	    }
	    break;
	
	/* Too many arguments - print help message */
	default:
	    fprintf(stderr,
		    "Usage: %s [input-file]\n",argv[0]);
	    return 1;
    }
    return process(infile);
}

int     process(FILE *infile)

{
    return 0;
}

