#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>

#define INITIAL_SIZE    100
#define MALLOC(n,t)     ((t *)malloc(n*sizeof(t)))
#define REALLOC(l,n,t)  ((t *)realloc(l,n*sizeof(t)))

typedef double  float_t;

int     main()

{
    float_t *list, *p;
    size_t  list_size = INITIAL_SIZE;
    
    list = MALLOC(list_size,float_t);
    
    /* Read values until a negative value is entered */
    p = list;
    while ((scanf("%lf",p) == 1) && (*p >= 0.0))
    {
	/* Extend array if full */
	if ( ++p - list == list_size )
	{
	    /* Fastest way to double list size */
	    list_size <<= 1;

	    /* Move list to bigger quarters */
	    list = REALLOC(list,list_size,float_t);
	    
	    /* Array list has been moved, so reset p */
	    p = list+list_size;
	}
    }
    
    /* Trim the list */
    list = REALLOC(list,list_size,float_t);
    
    /* Check */
    for (p=list; *p >= 0.0; ++p)
	printf("%f\n",*p);
    free(list);
    return EX_OK;
}

