#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>

#define MAX_ROWS    1000
#define MALLOC(n,t) (t *)malloc(n*sizeof(t))

typedef double  float_t;

int     main()

{
    float_t         *mat[MAX_ROWS];
    unsigned long   rows,cols,r,c;
    
    /* Input matrix size */
    scanf("%lu %lu",&rows,&cols);
    if ( rows > MAX_ROWS )
    {
	fprintf(stderr,
	    "Sorry, maximum is %d rows.\n",MAX_ROWS);
	return(1);
    }
    
    /* Allocate each row and input the data */
    for (r=0; r<rows; ++r)
    {
	/* Allocate new row */
	mat[r] = MALLOC(cols,float_t);
	if ( mat[r] == NULL )
	{
	    fputs("Out of memory.\n",stderr);
	    exit(EX_OSERR);
	}
	
	/* Use a pointer to move through new row */
	for (c=0; c<cols; ++c)
	    scanf("%lf",&mat[r][c]);
    }

    return 0;
}

