#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>

#define MALLOC(n,t)  (t *)malloc(n*sizeof(t))

typedef double  float_t;

int     main()

{
    float_t         **mat;
    unsigned long   rows,cols,r,c;
    
    scanf("%lu %lu",&rows,&cols);
    mat = MALLOC(rows,float_t *);
    if ( mat == NULL )
    {
	fputs("Out of memory.\n",stderr);
	exit(EX_OSERR);
    }
    
    /* Allocate each row and input the matrix */
    for (r=0; r<rows; ++r)
    {
	mat[r] = MALLOC(cols,float_t);
	if ( mat[r] == NULL )
	{
	    fputs("Out of memory.\n",stderr);
	    exit(EX_OSERR);
	}
	for (c=0; c<cols; ++c)
	    scanf("%lf",&mat[r][c]);
    } 
    
    return 0;
}

