#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sysexits.h>

#define MAX_NAMES       10000
#define MAX_NAME_LEN    40

size_t  read_names(char names[][MAX_NAME_LEN+1]);
size_t  findlow(char names[][MAX_NAME_LEN+1],
		size_t first,size_t last);
void    selection_sort(char names[][MAX_NAME_LEN+1],
		       int first,int last);

int     main()

{
    char    names[MAX_NAMES][MAX_NAME_LEN+1];
    size_t  count;

    /* Input names */
    count = read_names(names);
    
    /* Sort names */
    selection_sort(names,0,count-1);
    
    return 0;
}


/*
 * Recursive selection sort
 */
 
void    selection_sort(char names[][MAX_NAME_LEN+1],
		       int first,int last)

{
    int     lowpos;
    char    temp[MAX_NAME_LEN+1];
    
    if ( first < last )
    {
	/* Find smallest element */
	lowpos = findlow(names,first,last);
	
	/* Swap smallest with first */
	strcpy(temp,names[lowpos]);
	strcpy(names[lowpos],names[first]);
	strcpy(names[first],temp);
	
	/* Sort remaining elements */
	selection_sort(names,first+1,last);
    }
}


/*
 * Get position of alphabetically lowest name
 */
 
size_t  findlow(char names[][MAX_NAME_LEN+1],
		size_t first,size_t last)

{
    return 0;
}


/*
 * Read in names from stdin
 */
 
size_t  read_names(char names[][MAX_NAME_LEN+1])

{
    return 0;
}
    
