#include <iostream.h>
#include <sysexits.h>
#include <stdlib.h>

size_t  read_list(double **list);

int     main()

{
    size_t  listsize;
    double  *list, *p;
    
    // Read list of real numbers into array
    listsize = read_list(&list);
    
    // Print the list
    for (p=list; p < list+listsize; ++p)
	cout << *p << '\n';
    
    // Free memory allocated for the list
    delete [] list;
    return 0;
}


//
// Allocate memory for a list and read in the values
// 
 
size_t  read_list(double **list)

{
    size_t  listsize;
    double  *temp, *p;  // Use temp in place of
			// *list to simplify code
    
    // Get size of list
    cin >> listsize;
    temp = new double[listsize];
    if (temp == NULL)
    {
	cerr << "Out of memory.\n";
	exit(EX_OSERR);
    }

    // Read until EOF encountered or array is full
    for (p=temp; p<temp+listsize; ++p)
	cin >> *p;

    *list = temp;       // Return pointer to list
    return listsize;    // Return list size
}

