#include <stdio.h>
#include <signal.h>

void    catch_sigint(void);

int     main(int argc,char *argv[])

{
    struct sigaction new, old;
    int     ch;

    /* Install new signal handler */
    new.sa_handler = (void (*)())catch_sigint;
    new.sa_flags = 0;
    sigaction(SIGINT,&new,&old);
    while ( (ch = getchar()) != 'q' )
	printf("%d\n",ch);
    
    /* Restore old action, just for demonstration */
    sigaction(SIGINT,&old,NULL);
    return 0;
}


void    catch_sigint()

{
    puts("Caught a SIGINT signal!");
}

