#include <stdio.h>
#include <stdlib.h>
#include <sysexits.h>
#include <math.h>

#define EPSILON 0.00000000001

int     main()
{
    double  a,b,result;
    char    operator;   /* Must by char for scanf().
			   Otherwise, would prefer int
			   to avoid promotions */
    int     args;
    
    printf("Enter an expression of the form ");
    printf("<number> <operator> <number>: ");
    args = scanf("%lf %c %lf",&a,&operator,&b);
    if ( operator == '+' )
	result = a + b;
    else if ( operator == '-' )
	result = a - b;
    else if ( (operator == '*') || (operator == 'x') )
	result = a * b;
    else if ( operator == '/' )
	/* Prevent division by too small a number */
	if ( abs(b) > EPSILON )
	    result = a / b;
	else
	    fprintf(stderr,"Cannot divide by 0.\n");
    else
	fprintf(stderr,"Invalid operator: %c.\n",
		operator);
    printf("The result is %f\n",result);
    return EX_OK;
}

