#include <stdio.h>
#include <sysexits.h>

int     main(int argc,char *argv[])

{
    FILE    *fpin;
    char    *file_name;
    int     ch;
    
    switch(argc)
    {
	case    1:
	    fpin = stdin;
	    break;
	case    2:
	    file_name = argv[1];
	    if ( (fpin = fopen(file_name,"r")) == NULL )
	    {
		fprintf(stderr,"Could not open file: %s\n",
			file_name);
		return EX_NOINPUT;
	    }
	    break;
	default:
	    fprintf(stderr,"Usage: %s [file]\n",
		    argv[0]);
	    return EX_USAGE;
    }
    while ( (ch=getc(fpin)) != EOF )
	putchar(ch);
    fclose(fpin);
    return EX_OK;
}

