#include <stdio.h>
#include <varargs.h>

void    print_nums();

int     main(int argc,char *argv[])

{
    print_nums(1,2,3,4,-1);
    print_nums(1,2,-1);
    return 0;
}


/*
 * Print one or more positive values.  The end of
 * the list is marked by a -1 value.
 */
 
void    print_nums(va_alist)
va_dcl

{
    int     num;
    va_list argptr;
    
    /* Get pointer to argument list */
    va_start(argptr);
    
    /* Print remaining arguments */
    while ( (num = va_arg(argptr,int)) != -1 )
	printf("%d ",num);
    
    /* Shut down */
    va_end(argptr);
}

